{
  systemConfiguration = { config, ... }: {
    isNormalUser = true;
    # TODO: Don't hard-code `persist`.  Use
    # config.sydnix.impermanence.persistGroupName.
    extraGroups = [ "wheel" "persist" "input" ];
    initialHashedPassword =
      "$y$j9T$4pyDiPlhnN4UarQoY7Sn70$URZQKPJ3yU4WoQFHRhzm4uF3bM4U7OVYem3oPioykMC";

    openssh.authorizedKeys.keyFiles = [
    ];
  };

  homeConfiguration = { config, lib, pkgs, ... }: {
    home.file.".ssh/id_ed25519".source =
      config.lib.file.mkOutOfStoreSymlink
        "/persist/private-keys/ssh/crumb-at-nixos-testbed";

    home.file.".ssh/id_ed25519.pub".source =
      ../../public-keys/ssh/crumb-at-nixos-testbed.pub;

    # A few settings without a home:
    xdg.enable = true;
    home.preferXdgDirectories = true;

    home.packages = [];

    fonts.fontconfig.enable = true;

    sydnix = {
      xdg.enable = true;
      # Personal configurations.
      users.crumb = {
        bash.enable = true;
        direnv.enable = true;
        git.enable = true;
        nvim.enable = true;
        readline.enable = true;
      };
      users.msyds = {
        emacs.enable = true;
      };
    };

    # Don't touch!
    home.stateVersion = "18.09";
  };
}
